Subject: [lamps] Re: WG Last Call for draft-ietf-lamps-rfc7030-csrattrs
From: Russ Housley <[email-masked]>
To: Michael Richardson <[email-masked]>
Cc: LAMPS <[email-masked]>, David von Oheimb <[email-masked]>
Date: Tue, 7 Jan 2025 16:11:15 -0500
List-Id: This is the mail list for the LAMPS Working Group <spasm.ietf.org>

> On Jan 7, 2025, at 4:05 PM, Michael Richardson <[email-masked]> wrote:
> 
> 
> Russ Housley <[email-masked]> wrote:
>> (1) Attributes{}, CRIAttributes, PKInfoAlgorithms still need to be
>> IMPORTed from PKCS-10.  Just ATTRIBUTE need to move.  I needs to be
>> IMPORTED from PKIX-CommonType-2009, which is where you are already
>> importing EXTENSION.
> 
> okay, so I need to create a new import.  Well, there is already one above,
> which I think I can extend.
> 
> https://github.com/lamps-wg/lamps-rfc7030-csrattrs/pull/29/files
> https://github.com/lamps-wg/lamps-rfc7030-csrattrs/blob/asn1-fixes-jan2025/CRITemplateModule.asn

You just need to move ATTRIBUTE to the one for PKIX-CommonType-2009.

> 
>> (2) id-extensionReqTemplate should be renamed to align with other
>> things in that registry.
> 
> I'll go read the IANA registry to learn the naming.

My edit changed id- to id-aa- as the prefix.

   id-aa-extensionReqTemplate OBJECT IDENTIFIER ::=
     { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs9(9)
       smime(16) aa(2) extnReqTemplate(TBD3) }

   --  like extensionRequest, but with OPTIONAL Extension extnValues
   --  original definition was in PKCS#9 RFC 2985 section 5.4.2
   at-extensionReqTemplate ATTRIBUTE ::= {
       TYPE ExtensionReqTemplate IDENTIFIED BY id-aa-extensionReqTemplate }

Russ